Examplary
  • Start for free
    Developer docs

    Create session comment

    POSThttps://api.examplary.ai/exams/{id}/sessions/{sessionId}/comments

    Add a new comment to a question in a student's assessment session.

    Path parameters

    idstringrequired
    sessionIdstringrequired

    Request body

    valuestring· max length: 10000
    rangearray any[]
    quotationstring· max length: 10000
    inReplyTostring· pattern: ^scom_.*
    statusstring

    Allowed values:openresolved

    visibilitystring

    Allowed values:publicprivate

    questionstringrequired

    Question ID the comment is attached to

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    Requirements

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.